Three Telegram Clients For Ubuntu 14.04 (And Derivative Systems)

Hello Linux Geeksters. As you may know, Telegram is a popular instant messaging service, similar to WhatsApp. While there isn’t any official Linux client, there are three unofficial solutions: Sigram, Telegram Desktop and Unity Webapps Telegram.

Sigram:

Sigram is an open-source, unofficial Telegram client for Linux, developed in C++, C, Qt and QML. Among others, it has support for chatting with Telegram contacts, it enables the users to send and download photos, has support for group chat, inserting emoticons, delete and forward messages and a nice and intuitive interface. For now, it does not have support for sending and receiving audio files.

The latest version available is Sigram 0.6.1, which has been released a while ago.

Three Telegram Clients For Ubuntu 14.04 (And Derivative Systems)

To install Sigram 0.6.1 on Ubuntu 14.04 Trusty Tahr or a derivative system like: Linux Mint 17, Pinguy OS 14.04, Elementary OS 0.3 Freya, Deepin 2014, Peppermint Five, LXLE 14.04, Linux Lite 2.0, follow the below instructions, for your system’s architecture:

How to install Sigram 0.6.1 on 32 bit Ubuntu 14.04 and derivative systems:

$ sudo apt-get install gdebi
$ wget dl.labs.sialan.org/sigram_0.6.2-1-i386.deb
$ sudo gdebi sigram_0.6.2-1-i386.deb

How to install Sigram 0.6.1 on 64 bit Ubuntu 14.04 and derivative systems:

$ sudo apt-get install gdebi
$ wget dl.labs.sialan.org/sigram_0.6.2-1-amd64.deb
$ sudo gdebi sigram_0.6.2-1-amd64.deb

Telegram Desktop:

Telegram Desktop is an open-source and cross-platform Telegram client for Linux. The client has support for notifications, sending messages and media files, and inserting emoji.

The latest version available is Telegram Desktop Alpha 0.5.13, which has been released a while ago.

Three Telegram Clients For Ubuntu 14.04 (And Derivative Systems)

To install Telegram Desktop Alpha 0.5.13 on Ubuntu 14.04 Trusty Tahr or a derivative system like: Linux Mint 17, Pinguy OS 14.04, Elementary OS 0.3 Freya, Deepin 2014, Peppermint Five, LXLE 14.04, Linux Lite 2.0, follow the below instructions, for your system’s architecture:

How to install Telegram Desktop 0.5.13 on 32 bit Ubuntu 14.04 and derivative sytems:

$ wget https://tdesktop.com/linux32
$ tar -xJvf linux32
$ sudo mv Telegram /opt/telegram
$ sudo ln -sf /opt/telegram /usr/bin/telegram

To start Telegram Destkop, open the terminal, type telegram and hit enter.

How to install Telegram Desktop 0.5.13 on 64 bit Ubuntu 14.04 and derivative sytems:

$ wget https://tdesktop.com/linux
$ tar -xJvf linux
$ sudo mv Telegram /opt/telegram
$ sudo ln -sf /opt/telegram /usr/bin/telegram

To start Telegram Destkop, open the terminal, type telegram and hit enter.

Unity Webapps Telegram:

A third party developer has created the Unity Webapps Telegram client for Unity 7, compatible Ubuntu 14.04 Trusty Tahr (Unity only).

The latest version available is Unity Webapps Telegram 0.6.

Three Telegram Clients For Ubuntu 14.04 (And Derivative Systems)

To install  Unity Webapps Telegram 0.06 on Ubuntu 14.04, you have to add the ppa to your system, update the local repository index and install the unity-webapps-telegram package. Like this:

$ sudo add-apt-repository ppa:costales/unity-webapps-telegram
$ sudo apt-get update
$ sudo apt-get install unity-webapps-telegram

After the installation has been successfully performed, Telegram can be started from the Unity Dash.

Share and Enjoy

  • Twitter
  • Facebook
  • Google Plus
  • Email
  • RSS
Tagged with: , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!
3 comments on “Three Telegram Clients For Ubuntu 14.04 (And Derivative Systems)
  1. sahaini says:

    Hi, I’m following Option#2
    Once I run Telegram for the first time, I’ve got this message.

    The program ‘telegram’ is currently not installed. You can install it by typing:
    sudo apt-get install orville-write

    🙂

    • Geekster says:

      so, do: sudo apt-get install orville-write

    • Joan says:

      Actually I got the same message (I think it’s because I had webogram installed before).
      Just run the app through /opt/telegram/Telegram and that should be fine (It’s better though to download the latest Desktop App).

      Good luck

Leave a Reply

Your email address will not be published. Required fields are marked *

*